#include <bits/stdc++.h>

using namespace std;
int niz[20000];

int main()
{
    int n; int k;
    int p = niz[0];
    cin >> n >> k;
    for(int i = 0; i < n; i++){
        cin >> niz[i];
        if(niz[i - 1] == k) p = niz[i];
        else if(niz[i] == k) p = niz[0];
    }
    cout << p;
    return 0;
}